Skip to main content
POST
/
project
/
{projectId}
/
deploymentRule
Create a deployment rule
curl --request POST \
  --url https://api.qovery.com/project/{projectId}/deploymentRule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "project-rule",
  "mode": "PRODUCTION",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "UTC",
  "start_time": "1970-01-01T08:00:00.000Z",
  "stop_time": "1970-01-01T19:00:00.000Z",
  "weekdays": [
    "MONDAY"
  ],
  "wildcard": "",
  "description": "description project rule",
  "auto_stop": false
}
'
import requests

url = "https://api.qovery.com/project/{projectId}/deploymentRule"

payload = {
"name": "project-rule",
"mode": "PRODUCTION",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "UTC",
"start_time": "1970-01-01T08:00:00.000Z",
"stop_time": "1970-01-01T19:00:00.000Z",
"weekdays": ["MONDAY"],
"wildcard": "",
"description": "description project rule",
"auto_stop": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'project-rule',
mode: 'PRODUCTION',
cluster_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
timezone: 'UTC',
start_time: '1970-01-01T08:00:00.000Z',
stop_time: '1970-01-01T19:00:00.000Z',
weekdays: ['MONDAY'],
wildcard: '',
description: 'description project rule',
auto_stop: false
})
};

fetch('https://api.qovery.com/project/{projectId}/deploymentRule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "project-rule",
  "mode": "PRODUCTION",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "UTC",
  "start_time": "1970-01-01T08:00:00.000Z",
  "stop_time": "1970-01-01T19:00:00.000Z",
  "weekdays": [
    "MONDAY"
  ],
  "wildcard": "",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "description project rule",
  "auto_stop": false,
  "priority_index": 123
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

projectId
string<uuid>
required

Project ID

Body

application/json
name
string
required

name is case insensitive

Example:

"project-rule"

mode
enum<string>
required
Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

cluster_id
string<uuid>
required
timezone
string
required
Example:

"UTC"

start_time
string<date-time>
required
Example:

"1970-01-01T08:00:00.000Z"

stop_time
string<date-time>
required
Example:

"1970-01-01T19:00:00.000Z"

weekdays
enum<string>[]
required
Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
wildcard
string
default:""
required

wildcard pattern composed of '?' and/or '*' used to target new created environments

description
string | null
Example:

"description project rule"

auto_stop
boolean
default:false

Response

Create deployment rule

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

Example:

"project-rule"

mode
enum<string>
required
Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

cluster_id
string<uuid>
required
timezone
string
required
Example:

"UTC"

start_time
string<date-time>
required
Example:

"1970-01-01T08:00:00.000Z"

stop_time
string<date-time>
required
Example:

"1970-01-01T19:00:00.000Z"

weekdays
enum<string>[]
required
Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
wildcard
string
default:""
required

wildcard pattern composed of '?' and/or '*' used to target new created environments

updated_at
string<date-time>
read-only
description
string | null
Example:

"description project rule"

auto_stop
boolean
default:false
priority_index
integer

used to select the first deployment rule to match new created environments